# Address Registry

### Functions

#### `getCoinToStrategy`

This function takes an address `u` and returns the strategies associated with that coin.

#### `getStrategyWhitelisted`

This function takes a strategy `s` and returns a boolean indicating whether the strategy is whitelisted.

#### `init`

This function is an initializer function that sets up the contract. It takes three parameters:

* `_oracleSigner`: The address of the oracle signer.
* `_vault`: The address of the vault.
* `_feeOracle`: The address of the fee oracle.

#### `addStrategy`

This function adds a strategy to the whitelist and associates it with one or more supported coins. The function takes two parameters:

* `strategy`: The strategy to be added.
* `components`: An array of addresses of supported coins.


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.arbitrove.finance/technical-documentation/address-registry.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
